Subject: RFC 4217

From: Alfred Hönes <[email-masked]>
Date: Wed, 9 Nov 2005 11:25:54 +0100 (MEZ)

Hello,
I just read your new RFC 4217 and would like to submit
a few comments / errata notes.

First of all, thanks for this useful memo and the in-depth
discussion of important details.

Also, I appreciate your allusion on the deficiencies of the
dated FTP spec in RFC 959 that appears in the text.  Like a
couple of other old IETF Standards, that memo today certainly
wouldn't pass IETF and IESG review for a Standards Track RFC.
It would be certainly worth the effort to write updated and
precise specifications for FTP, TCP, etc. -- but I'm sure,
nobody will do so in the near future :-)

Next, here are a few textual issues I found in RFC 4214:

(1) Inconsistent / Outdated Ref.

Why the hack does the *Abstract* of RFC 4214 refer to RFC 2487,
whereas the remainder of the text (including the References section)
correctly refers to RFC 3207 that once had obsoleted RFC 2487 ?

(2) Typo

The 'Note' in section 12.5, at the bottom of page 20, says:

        "...  This contrasts the with situation when ..."

where it should say:

        "...  This contrasts with the situation when ..."

(3) Another typo

The last bullet in section 20, on page 26, obviously contains
incomplete text. It says:

   "o  The various people who have help author this document ..."

Perhaps, it should say:

   "o  The various people who have helped [to] author this document ..."
or:
   "o  The various people who have helped the author of this
       document ..."

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+